Skip to main content
GET
/
document
/
v1
/
directories
/
{directoryId}
/
documents
List directory documents
curl --request GET \
  --url https://api-{region}.sesametime.com/document/v1/directories/{directoryId}/documents \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "employee_document.jpg",
    "createdBy": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "employee",
      "name": "employee name",
      "pictureUrl": "<string>"
    },
    "createdAt": "2025-01-10T09:06:05+00:00",
    "updatedAt": "2025-02-21T09:06:05+00:00",
    "fileType": "image/jpeg",
    "fileSize": 874673
  }
]

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Path Parameters

directoryId
string<uuid>
required

Directory UUID

Query Parameters

limit
number<int>

Number of documents per page

page
number<int>

Request a specific page

Response

200 - application/json

List documents

id
string<uuid>
name
string
Example:

"employee_document.jpg"

createdBy
object
createdAt
string<date>
Example:

"2025-01-10T09:06:05+00:00"

updatedAt
string<date>
Example:

"2025-02-21T09:06:05+00:00"

fileType
string
Example:

"image/jpeg"

fileSize
number<int>
Example:

874673